Plesk\backup\Agent\Schema\Backup\IisAppPoolRecycle\IisAppPoolRecycleAType:
    properties:
        byTime:
            expose: true
            access_type: public_method
            serialized_name: by-time
            accessor:
                getter: getByTime
                setter: setByTime
            xml_attribute: true
            type: string
        byRequests:
            expose: true
            access_type: public_method
            serialized_name: by-requests
            accessor:
                getter: getByRequests
                setter: setByRequests
            xml_attribute: true
            type: string
        byVirtualMemory:
            expose: true
            access_type: public_method
            serialized_name: by-virtual-memory
            accessor:
                getter: getByVirtualMemory
                setter: setByVirtualMemory
            xml_attribute: true
            type: string
        byPrivateMemory:
            expose: true
            access_type: public_method
            serialized_name: by-private-memory
            accessor:
                getter: getByPrivateMemory
                setter: setByPrivateMemory
            xml_attribute: true
            type: string
